Bug 2066023 - LXQt's file manager tries to launch XTerm from "Open in Terminal"
Summary: LXQt's file manager tries to launch XTerm from "Open in Terminal"
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm-qt
Version: 36
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-20 02:17 UTC by Ian Laurie
Modified: 2022-06-17 11:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-17 11:03:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Ian Laurie 2022-03-20 02:17:38 UTC
Description of problem:
LXQt's file manager tries to launch XTerm from "Open in Terminal" and by default XTerm isn't installed, while the native LXQt QTerminal is installed.

Version-Release number of selected component (if applicable):
pcmanfm-qt-1.0.0-2.fc36.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Launch file manager
2. In left pane in tree view select a drectory then right click select "Open in Terminal".
3.

Actual results:
Failure launching "xterm" which by default isn't installed.

Expected results:
Should launch "qterminal" which is GUI native and installed by default.

Additional info:
This was a live install from Fedora-LXQt-Live-x86_64-36_Beta-1.2.iso.

Comment 1 Raphael Groner 2022-03-20 15:07:56 UTC
Thanks for your report.

Indeed, xterm is default in upstream config.
https://github.com/lxqt/pcmanfm-qt/blob/master/config/pcmanfm-qt/lxqt/settings.conf.in#L9
https://github.com/lxqt/pcmanfm-qt/blob/master/config/pcmanfm-qt/lxqt/settings.conf.in#L8

So, either add "Requires: xterm" or let modify settings.conf (currently where/how?) and keep with "Recommends: qterminal" as done already. But I guess pcmanfm-qt should be an independent package usable without other parts of LXQt?
https://src.fedoraproject.org/rpms/pcmanfm-qt/blob/rawhide/f/pcmanfm-qt.spec#_44

Comment 2 Raphael Groner 2022-03-20 15:10:22 UTC
Oh, that modification was done by me with adding qterminal as a weak dependency, three years ago. Maybe wrong now.
https://src.fedoraproject.org/rpms/pcmanfm-qt/c/789ba6afe9d32ae0b069ba1b7abf1014c4ca5e61

Comment 3 Ian Laurie 2022-03-20 20:53:50 UTC
On a side note, installing MATE's file manager Caja drags in MATE's terminal, so I don't see it as a massive issue if qterminal were dragged in with pcmanfm-qt if it were installed on some other GUI.  That compromise seemed OK for MATE.  It's just that in general these days xterm isn't usually installed with any modern GUI.

Comment 4 Raphael Groner 2022-03-21 05:48:05 UTC
As qterminal is a weak dependency of pcmanfm-qt (as said), maybe you disabled installing weak dependencies automagically? Did you check settings.conf?

Comment 5 Ian Laurie 2022-03-21 06:58:34 UTC
I didn't mess with settings, nor did I update anything (as mandated by the beta testing guidelines).  This build was done from the LXQt Live image (the 1.2 compose) and was a vanilla install, everything default and out of the box as per guidelines.

Sadly I no longer have the VM I was using for testing.  However recreating it, given it was absolutely default, would be trivial to do.

Comment 6 Ian Laurie 2022-03-21 07:04:20 UTC
Hang on there may be a misunderstanding here.  For me, qterminal was indeed installed as per normal with a vanilla LXQt install from the Live image.... the issue here is that pcmanfm-qt was calling out to xterm *despite* qterminal being installed.

My testing was done inside LXQt, not another GUI.

Comment 7 Raphael Groner 2022-03-21 20:21:27 UTC
All I wanted to suggest is that you can feel free to manually edit your local settings.conf and replace xterm with qterminal there as it's an official feature. 

Not sure generally though if it's a good idea to patch settings.conf inside the package globally as downstream but I count your vote. Maybe we should ask upstream to reach out for other opinions.

Comment 8 Ian Laurie 2022-03-21 21:10:49 UTC
Apologies, I'm on the same page now, I didn't realize this was something local settings could control.

Comment 9 Raphael Groner 2022-06-16 05:40:59 UTC
Can we close this issue?

Comment 10 Ian Laurie 2022-06-16 21:48:57 UTC
Yes, certainly.


Note You need to log in before you can comment on or make changes to this bug.